<?php

include "../api.php";

/*
* Erstelle ein PDF Dokument und setze Parameter
*/
$doc = new PDF24Doc();
$doc->setCharset("ISO-8859-1");
$doc->setHeadline("This is the headline of the PDF");
$doc->setHeadlineUrl("http://www.pdf24.org");
$doc->setBaseUrl("http://www.pdf24.org");
$doc->setFilename("test");
$doc->setPageSize(210, 297);

$doc->setEmailTo("info@qubit.com.my");
$doc->setEmailFrom("stefanz@pdf24.org");
$doc->setEmailSubject("Here is your created PDF file");
$doc->setEmailBody("The PDF file is attached to this email!");
$doc->setEmailBodyType("html");
$doc->setEmailCharset("ISO-8859-1");

/*
* Create one or more elements
*/
$element = new PDF24Element();
$element->setTitle("This is a title");
$element->setUrl("http://www.pdf24.org");
$element->setAuthor("Stefan Ziegler");
$element->setDateTime("2010-04-15 8:00");
$element->setBody("This is the body of the element");

/*
* Element dem Dokument zufgen
*/
$doc->addElement($element);

/*
* Die PDF erstellen und im Fehlerfall den Status ausgeben
*/
if(!$doc->createAndSend()) {
	echo $doc->getResponse();
} else {
	echo 'Done. Email sent to ' . $doc->getParam('emailTo') . '.';
}


?>
